apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: scs-gitlab
  namespace: web
  labels:
    app: scs-gitlab
spec:
  selector:
    matchLabels:
      app: scs-gitlab
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: scs-gitlab
    spec:
      containers:
      - image: gitlab/gitlab-ce:12.2.7-ce.0
        name: scs-gitlab
        env:
        - name: GITLAB_OMNIBUS_CONFIG
          value: "external_url 'https://gitlab.scsuk.net:443' ; \
                  gitlab_rails['gitlab_shell_ssh_port']=30022; \
                  letsencrypt['enable'] = false ; \
                  prometheus['enable'] = false ; \
                  grafana['enable'] = false ; \
                  gitlab_rails['gitlab_email_enabled'] = true ; \
                  gitlab_rails['gitlab_email_from'] = 'richard.jamieson@scsuk.net' ; \
                  gitlab_rails['gitlab_email_display_name'] = 'Gitlab Software Consultancy Service Limited' ; \
                  gitlab_rails['gitlab_email_reply_to'] = 'noreply@scsuk.net' ; \
                  gitlab_rails['smtp_enable'] = true ; \
                  gitlab_rails['smtp_address'] = 'smtp.office365.com' ; \
                  gitlab_rails['smtp_port'] = 587 ; \
                  gitlab_rails['smtp_user_name'] = 'richard.jamieson@scsuk.net' ; \
                  gitlab_rails['smtp_password'] = 'S1uEmail!' ; \
                  gitlab_rails['smtp_domain'] = 'scsuk.net' ; \
                  gitlab_rails['smtp_authentication'] = 'login' ; \
                  gitlab_rails['smtp_enable_starttls_auto'] = true ; \
                  gitlab_rails['smtp_tls'] = false ; \
                  gitlab_rails['smtp_openssl_verify_mode'] = 'peer' ; \
                  registry_external_url 'https://gitlab.scsuk.net:5005' ; \
                  user['git_user_email'] = 'richard.jamieson@scsuk.net' ; \
                 "
        - name: TZ
          value: Europe/London
        ports:
        - containerPort: 80
          name: http
        - containerPort: 443
          name: https
        - containerPort: 5005
          name: registry
        - containerPort: 30022
          name: ssh-gitlab
        volumeMounts:
        - mountPath: /etc/gitlab
          name: gitlab-conf-persistent-storage
        - mountPath: /var/opt/gitlab
          name: gitlab-data-persistent-storage
        - mountPath: /var/log/gitlab
          name: gitlab-log-persistent-storage
        - mountPath: "/etc/gitlab/ssl"
          name: web-certs-vol
          readOnly: true
      volumes:
      - name: gitlab-conf-persistent-storage
        hostPath:
          path: /storage/static/scs-gitlab/conf
          type: Directory
      - name: gitlab-data-persistent-storage
        hostPath:
          path: /storage/static/scs-gitlab/data
          type: Directory
      - name: gitlab-log-persistent-storage
        hostPath:
          path: /storage/static/scs-gitlab/log
          type: Directory
      - name: web-certs-vol
        secret:
          secretName: web-certs
      nodeSelector:
        kubernetes.io/hostname: jam4.local
